/*
 * ACommandHandler.h
 *
 *  Created on: May 24, 2010
 *      Author: pdas
 */

#ifndef ACOMMANDHANDLER_H_
#define ACOMMANDHANDLER_H_

#include "CCommand.h"

/**
 * Abstract class for handling commands
 */
class ACommandHandler {

protected:
	virtual ~ACommandHandler() {}		// this is provided to override a compiler warning

	virtual void handle_command() = 0;

	virtual CCommand* get_command() = 0;
};

#endif /* ACOMMANDHANDLER_H_ */
