/*
 * CCommandHandler.h
 *
 *  Created on: May 24, 2010
 *      Author: pdas
 */

#ifndef CCOMMANDHANDLER_H_
#define CCOMMANDHANDLER_H_

#include "../include/includes.h"
#include "ACommandHandler.h"
#include "CCommand.h"

class CCommandHandler : public ACommandHandler {

public:
	virtual ~CCommandHandler() {}

	virtual void set_model_bytecode(std::string bytecode) {}			// not handled in base class
	virtual void set_arguments(std::vector<std::string>& command_args) {}	// not handled in base class
	virtual void handle_command() {}							// not handled in base class
	virtual CCommand* get_command() { return 0; }				// not handled in base class
};

#endif /* CCOMMANDHANDLER_H_ */
