/*
 * CLDACrossValCommandHandler.h
 *
 *  Created on: Jun 23, 2010
 *      Author: pdas
 */

#ifndef CLDACROSSVALCOMMANDHANDLER_H_
#define CLDACROSSVALCOMMANDHANDLER_H_

#include "CCommandHandler.h"
#include "CLDACrossValCommand.h"

class CLDACrossValCommandHandler : public CCommandHandler {

	std::string _model_bytecode;
	std::vector<std::string> _command_args;
	CLDACrossValCommand* _command;

public:
	CLDACrossValCommandHandler();
	~CLDACrossValCommandHandler();

	void set_model_bytecode(std::string bytecode) { if ( _command) _command->set_model_bytecode(bytecode); else if (b_verbose_global) std::cout << "No command for CLDACommandHandler found!" << std::endl; }
	void set_arguments(std::vector<std::string>& command_args);
	void handle_command();

	CCommand* get_command() { return _command; }
};

#endif /* CLDACROSSVALCOMMANDHANDLER_H_ */
