/*
 * CLDACrossValOnlineCommandHandler.h
 *
 *  Created on: Jul 12, 2010
 *      Author: pdas
 */

#ifndef CLDACROSSVALONLINECOMMANDHANDLER_H_
#define CLDACROSSVALONLINECOMMANDHANDLER_H_

#include "CCommandHandler.h"
#include "CLDACrossValOnlineCommand.h"

class CLDACrossValOnlineCommandHandler : public CCommandHandler {

	std::string _model_bytecode;
	std::vector<std::string> _command_args;
	CLDACrossValOnlineCommand* _command;

public:
	CLDACrossValOnlineCommandHandler();
	~CLDACrossValOnlineCommandHandler();

	void set_model_bytecode(std::string bytecode) { if ( _command) _command->set_model_bytecode(bytecode); else if (b_verbose_global) std::cout << "No command for CLDACommandHandler found!" << std::endl; }
	void set_arguments(std::vector<std::string>& command_args);
	void handle_command();

	CCommand* get_command() { return _command; }
};

#endif /* CLDACROSSVALONLINECOMMANDHANDLER_H_ */
