/*
 * CPureSamplingCommand.h
 *
 *  Created on: May 26, 2010
 *      Author: pdas
 */

#ifndef CPURESAMPLINGCOMMAND_H_
#define CPURESAMPLINGCOMMAND_H_

#include "../include/includes.h"
#include "CCommand.h"
//using namespace std;

class CPureSamplingCommand: public CCommand {

	std::vector<std::string> _command_args;

public:
	CPureSamplingCommand();
	~CPureSamplingCommand();

	void execute();
	void set_model_bytecode(std::string bytecode) { CCommand::_model_bytecode = bytecode; }
	void set_arguments(std::vector<std::string>& args);
};

#endif /* CPURESAMPLINGCOMMAND_H_ */
