/*
 * CPureSamplingCommandHandler.h
 *
 *  Created on: May 26, 2010
 *      Author: pdas
 */

#ifndef CPURESAMPLINGCOMMANDHANDLER_H_
#define CPURESAMPLINGCOMMANDHANDLER_H_

#include "CCommandHandler.h"
#include "CCommand.h"
#include "CLDACommand.h"
#include "CPureSamplingCommand.h"

class CPureSamplingCommandHandler : public CCommandHandler {

	std::vector<std::string> _command_args;
	// list of all known commands
	CCommand* _command;

public:
	CPureSamplingCommandHandler();
	virtual ~CPureSamplingCommandHandler();

	inline void set_model_bytecode(std::string bytecode) { if ( _command) _command->set_model_bytecode(bytecode); else if (b_verbose_global) std::cout << "No command for CPureSamplingCommandHandler found!" << std::endl; }
	void set_arguments(std::vector<std::string>& command_args);
	void handle_command();
};

#endif /* CPURESAMPLINGCOMMANDHANDLER_H_ */
