/*
 * CModelFileSimpleParser.h
 *
 *  Created on: May 17, 2010
 *      Author: pdas
 */

#ifndef CMODELFILESIMPLEPARSER_H_
#define CMODELFILESIMPLEPARSER_H_

#include "../include/CUtilities.h"
#include "AModelFileParser.h"
#include "../ModelGraphBuilder/CModelGraphBuilder.h"


class CModelFileSimpleParser: public AModelFileParser {

	CModelGraphBuilder *_graphical_model_builder;

public:
	CModelFileSimpleParser();
	~CModelFileSimpleParser();

	inline CModelGraphBuilder* get_graphical_model_builder() { return _graphical_model_builder; }

	void parse(std::string pseudocode_filename);
};


#endif /* CMODELFILESIMPLEPARSER_H_ */
