/*
 * CModelTestCPPUnit.h
 *
 *  Created on: Jul 14, 2010
 *      Author: pdas
 */

#ifndef CMODELTESTCPPUNIT_H_
#define CMODELTESTCPPUNIT_H_

#include "../include/includes.h"
#include "../PseudocodeParser/CModelFileSimpleParser.h"
#include "../ModelGraphBuilder/CModelGraphBuilder.h"
#include "../ModelGraphBuilder/CModelGraph.h"
#include "../Printer/CPrinter.h"

// base and derived command handler header files
#include "../CommandExecution/CCommandFactory.h"
#include "../CommandExecution/CCommandHandler.h"
#include "../CommandExecution/CLDACommandHandler.h"
#include "../DataSet/Dataset.h"
#include "../DataSet/CParameterMatrixReaderWriter.h"
#include "../include/CUtilities.h"

// model
#include "../GraphicalModels/CLDAGeneralModel.h"

class CModelTestCPPUnit {
public:
	CModelTestCPPUnit(std::string model_description_file, std::string model_compiled_file, std::string config_file);
	~CModelTestCPPUnit();
};

#endif /* CMODELTESTCPPUNIT_H_ */
