/*
 * CModelTrainCPPUnit.h
 *
 *  Created on: Jul 14, 2010
 *      Author: pdas
 */

#ifndef CMODELTRAINCPPUNIT_H_
#define CMODELTRAINCPPUNIT_H_

#include "../include/includes.h"

#include "../PseudocodeParser/CModelFileSimpleParser.h"
#include "../ModelGraphBuilder/CModelGraphBuilder.h"
#include "../ModelGraphBuilder/CModelGraph.h"
#include "../Printer/CPrinter.h"

// base and derived command handler header files
#include "../CommandExecution/CCommandFactory.h"
#include "../CommandExecution/CCommandHandler.h"
#include "../CommandExecution/CLDACommandHandler.h"

class CModelTrainCPPUnit {
public:
	CModelTrainCPPUnit(std::string model_description_file, std::string model_compiled_file, std::string config_file);
	~CModelTrainCPPUnit();
};

#endif /* CMODELTRAINCPPUNIT_H_ */
