/*
 * CModelValidateCPPUnit.h
 *
 *  Created on: Jul 14, 2010
 *      Author: pdas
 */

#ifndef CMODELVALIDATECPPUNIT_H_
#define CMODELVALIDATECPPUNIT_H_

#include "../include/includes.h"

#include "../PseudocodeParser/CModelFileSimpleParser.h"
#include "../ModelGraphBuilder/CModelGraphBuilder.h"
#include "../ModelGraphBuilder/CModelGraph.h"
#include "../Printer/CPrinter.h"

// base and derived command handler header files
#include "../CommandExecution/CCommandFactory.h"
#include "../CommandExecution/CCommandHandler.h"
#include "../CommandExecution/CLDACommandHandler.h"

class CModelValidateCPPUnit {
public:
	CModelValidateCPPUnit(std::string model_description_file, std::string model_compiled_file, std::string config_file);
	~CModelValidateCPPUnit();
};

#endif /* CMODELVALIDATECPPUNIT_H_ */
