/*
 * CCommand.h
 *
 *  Created on: May 24, 2010
 *      Author: pdas
 */

#ifndef CCOMMAND_H_
#define CCOMMAND_H_

#include "ACommand.h"
#include "../include/includes.h"
#include "../GraphicalModels/CLDAGeneralModel.h"

class CCommand : public ACommand {

protected:
	std::string _model_bytecode;

public:
	CCommand() {}
	virtual ~CCommand() {}

	virtual void set_model_bytecode(std::string bytecode) { _model_bytecode = "<model not represented in base command class>"; }
	virtual void execute() { if (b_verbose_global) std::cout << "In base class CCommand..." << std::endl; }
	virtual void set_arguments(std::vector<std::string>& args) {}
	virtual CLDAGeneralModel* get_model() { return 0; }	// not handled in base class
};

#endif /* CCOMMAND_H_ */
