/*
 * CCommandFactory.h
 *
 *  Created on: May 24, 2010
 *      Author: pdas
 */

#ifndef CCOMMANDFACTORY_H_
#define CCOMMANDFACTORY_H_

#include "../include/includes.h"
#include "CCommandHandler.h"

class CCommandFactory {
	static CCommandFactory* _command_factory;

	std::map<std::string,CCommandHandler*> _command_handler_map;

private:
	CCommandFactory();
	~CCommandFactory();

public:
	static CCommandFactory* get_instance();
	CCommandHandler* get_command_handler(std::string command);

};

#endif /* CCOMMANDFACTORY_H_ */
