/*
 * CLDACommandHandler.h
 *
 *  Created on: May 24, 2010
 *      Author: pdas
 */

#ifndef CLDACOMMANDHANDLER_H_
#define CLDACOMMANDHANDLER_H_

#include "../include/includes.h"
#include "CCommandHandler.h"
#include "CLDACommand.h"

class CLDACommandHandler : public CCommandHandler {

	std::string _model_bytecode;
	std::vector<std::string> _command_args;
	CLDACommand* _command;

public:
	CLDACommandHandler();
	~CLDACommandHandler();

	void set_model_bytecode(std::string bytecode) { if ( _command) _command->set_model_bytecode(bytecode); else if (b_verbose_global) std::cout << "No command for CLDACommandHandler found!" << std::endl; }
	void set_arguments(std::vector<std::string>& command_args);
	void handle_command();

	CCommand* get_command() { return _command; }
};

#endif /* CLDACOMMANDHANDLER_H_ */
