/*
 * CPureSamplingCommandHandler.cpp
 *
 *  Created on: May 26, 2010
 *      Author: pdas
 */

#include "CPureSamplingCommandHandler.h"

using namespace std;

CPureSamplingCommandHandler::CPureSamplingCommandHandler() {
	_command = new CPureSamplingCommand();

}

CPureSamplingCommandHandler::~CPureSamplingCommandHandler() {
	delete _command;
}

/**
 * This function can set the parameters of the command if needed i.e. simulates CLI (Command Line Interface)
 */
void CPureSamplingCommandHandler::set_arguments(vector<string>& command_args) {
	_command_args = command_args;
}

/**
 * This functions handles a concrete command which is passed in the parameter through a pointer to the command's base class
 */
void CPureSamplingCommandHandler::handle_command() {

	// need to figure out what type of command it is based on the encoded string!



	// create a command object after figuring out the command

	if ( _command_args.size() != 0 )
		_command->set_arguments(_command_args);

	_command->execute();

}
