/*
 * CPrinter.cpp
 *
 *  Created on: May 19, 2010
 *      Author: pdas
 */

#include "CPrinter.h"
#include "../include/CUtilities.h"
using namespace std;

CPrinter::CPrinter() {
	_ofs = &std::cout;
}

CPrinter::~CPrinter() { }

/**
 *
 */
void CPrinter::print_model_simple_obsvar_paths(list< pair<SModelGraphSimpleNode, list<list<SModelGraphSimpleNode> > > >& all_paths) {
	ostream& ofs = *_ofs;

	list< pair<SModelGraphSimpleNode, list<list<SModelGraphSimpleNode> > > >::iterator ap_l_itr;
	size_t i;
	for ( i = 0, ap_l_itr = all_paths.begin(); ap_l_itr != all_paths.end(); ++ap_l_itr , ++i ) {
		SModelGraphSimpleNode node = (*ap_l_itr).first;
		ofs << "finding paths of obs var : " << node._variable_name << " of dimension " << node._dimensionality << endl;
		list<list<SModelGraphSimpleNode> >& paths = (*ap_l_itr).second;
		list<list<SModelGraphSimpleNode> >::iterator itr1;
		list<SModelGraphSimpleNode>::iterator itr2;
		ofs << "[ ";
		for ( itr1 = paths.begin(); itr1 != paths.end(); ++itr1 ) {
			ofs << " { " ;
			for ( itr2 = (*itr1).begin(); itr2 != (*itr1).end(); ++itr2 )
				ofs << "  " << (*itr2).to_string() ;
			ofs << " } " ;
		}
		ofs << "]" << endl;
	}
	////////////////////////////////////
}
