/*
 * CPureSamplingFunctionoid.cpp
 *
 *  Created on: May 28, 2010
 *      Author: pdas
 */

#include "CPureSamplingFunctionoid.h"

using namespace std;

CPureSamplingFunctionoid::CPureSamplingFunctionoid() {
	//_concrete_model = new CLDAGibbs();	// need to change
	_base_model = dynamic_cast<CLDAGeneralModel*>(_concrete_model);
}

CPureSamplingFunctionoid::~CPureSamplingFunctionoid() {
	delete _concrete_model;
}

/**
 * This is the steroid that works up the sampler - for as long as we wish :-)
 */
void CPureSamplingFunctionoid::operator()() {
	imputation_step();
	posterior_step();
}

/**
 * computes the I (imputation) step for sampling
 */
void CPureSamplingFunctionoid::imputation_step() {
	if (b_verbose_global) std::cout << "The CPureSamplingFunctionoid is in the Imputation Step..." << endl;



}

/**
 * computes the P (posterior) step for sampling
 */
void CPureSamplingFunctionoid::posterior_step() {
	if (b_verbose_global) std::cout << "The CPureSamplingFunctionoid is in the Posterior step..." << endl;
	/*double shape = 1.0, scale = 1.0;
	double gam_sample;
	for ( int i = 0; i < 5; ++i ) {
		gam_sample = gengam(shape, scale);
		if (b_verbose_global) std::cout << "a sample from gam(shape = 1.0, scale = 1.0) is " << gam_sample << endl;
	}*/

	//int num_topics;
	//double doc_topic_prop_mult_param = 1.0/num_topics;
	//double doc_topic_sample;
	//for ( int i = 0; i < 5; ++i ) {
	//	doc_topic_sample = genmul(doc_topic_prop_mult_param);
	//	if (b_verbose_global) std::cout << "a sample from mult(doc_topic_prop_mult_param = 1.0/50) is " << doc_topic_sample << endl;
	//}


}
