/*
 * CPureSamplingFunctionoid.h
 *
 *  Created on: May 28, 2010
 *      Author: pdas
 */

#ifndef CPURESAMPLINGFUNCTIONOID_H_
#define CPURESAMPLINGFUNCTIONOID_H_

#include "CModelSamplingFunctionoid.h"
#include "../GraphicalModels/CLDAGeneralModel.h"
#include "../GraphicalModels/CLDAGibbs.h"

class CPureSamplingFunctionoid: public CModelSamplingFunctionoid {

	CLDAGibbs* _concrete_model;	// need to change
	CLDAGeneralModel* _base_model;

public:
	CPureSamplingFunctionoid();
	virtual ~CPureSamplingFunctionoid();

	inline CLDAGeneralModel* get_concrete_model() { return _base_model; }

	inline void operator()();

private:
	// compute the imputation step
	void imputation_step();
	// compute the posterior step
	void posterior_step();
};

#endif /* CPURESAMPLINGFUNCTIONOID_H_ */
